ProjectPhases

Project phases represent the stages within a project board. Each phase belongs to a board and defines a step in the project workflow.

Get project phases

Copy link

Returns all active project phases under a specific board.

Endpoint is in beta

Cost

10

Request
GET

/api/v2/phases

Query parameters

board_id

integer

required

The ID of the board for which phases are requested

Response
200

OK

Expand all
Copy code
    • true
    • [ ... ]
      • null

    Get details of a phase

    Copy link

    Returns the details of a specific project phase.

    Endpoint is in beta

    Cost

    10

    Request
    GET

    /api/v2/phases/{id}

    Path parameters

    id

    integer

    required

    The ID of the project phase

    Response
    200

    OK

    Expand all
    Copy code
      • true
      • { ... }

      Add a project phase

      Copy link

      Adds a new project phase to a board.

      Endpoint is in beta

      Cost

      5

      Request
      POST

      /api/v2/phases

      Body parameters

      application/json

      name

      string

      required

      The name of the project phase

      board_id

      integer

      required

      The ID of the project board to add the phase to

      order_nr

      integer

      The order of the phase within its board. Must be between 1 and the total number of phases on the board + 1.

      Response
      200

      OK

      Expand all
      Copy code
        • true
        • { ... }

        Update a project phase

        Copy link

        Updates the properties of a project phase.

        Endpoint is in beta

        Cost

        5

        Request
        PATCH

        /api/v2/phases/{id}

        Path parameters

        id

        integer

        required

        The ID of the project phase

        Body parameters

        application/json

        name

        string

        The name of the project phase

        board_id

        integer

        The ID of the project board to add the phase to

        order_nr

        integer

        The order of the phase within its board. Must be between 1 and the total number of phases on the board + 1.

        Response
        200

        OK

        Expand all
        Copy code
          • true
          • { ... }

          Delete a project phase

          Copy link

          Marks a project phase as deleted.

          Endpoint is in beta

          Cost

          3

          Request
          DELETE

          /api/v2/phases/{id}

          Path parameters

          id

          integer

          required

          The ID of the project phase

          Response
          200

          OK

          Expand all
          Copy code
            • true
            • { ... }

            Subscribe to Pipedrive’s Developer Newsletter